> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a payout

> Initiate a payout



## OpenAPI

````yaml POST /v1/payouts
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/payouts:
    post:
      tags:
        - payouts
      description: Initiate a payout
      parameters:
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                reference:
                  type: string
                amount:
                  type: object
                  properties:
                    value:
                      type: integer
                      minimum: 0
                      exclusiveMinimum: true
                    currency:
                      type: string
                      enum:
                        - NGN
                        - USD
                  required:
                    - value
                    - currency
                destinationAccountNumber:
                  type: string
                  minLength: 10
                  maxLength: 10
                bankId:
                  type: string
                narration:
                  type: string
                  minLength: 1
                  maxLength: 100
                callbackUrl:
                  type: string
                  format: uri
                metadata:
                  type: object
                  additionalProperties:
                    anyOf:
                      - type: string
                      - type: number
              required:
                - reference
                - amount
                - destinationAccountNumber
                - bankId
                - narration
      responses:
        '202':
          description: Payout request accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - pending
                  reference:
                    type: string
                required:
                  - id
                  - status
                  - reference
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                  message:
                    type: string
                required:
                  - status
                  - message
        '409':
          description: Reference already exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                  message:
                    type: string
                required:
                  - status
                  - message
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                  message:
                    type: string
                required:
                  - status
                  - message

````